Subject: Re: rebaseall with extra files
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Mon, 8 Mar 2004 13:55:03 -0800

On Mon, Mar 08, 2004 at 04:32:53PM -0500, Jason Tishler <[email-masked]> wrote:
> Caj,
> 
> On Mon, Mar 08, 2004 at 04:39:53PM +0100, Caj Zell wrote:
> > rebase -v -b  0x70000000 `find 
> > /cygdrive/c/cygwin/lib/perl5/site_perl/5.8.2/cygwin-thread-multi-64int/auto/Tk -name "*.dll" `
> > 
> > and found out that I could now run my application as before. However,
> > afterwards seeing that it is not recommended for us not so experienced
> > users to twiddle around with rebase on its own, I am now a little bit
> > afraid that I may have caused problems with the dll:s that I will run
> > into later and at that time maybe have forgot about this
> > .dll-manipulation.
> 
> You should add "-d" above at a minimal.  This is an example why I issued
> the warning.
> 
> > Is there anyone that can recommend me how to "rebaseall", but also
> > incorporate the Tk-files above to avoid coming conflicts?
> 
> I will attempt to add an option to rebaseall that allows one to specify
> a list of extra DLLs to rebase in addition to the standard ones.  Sorry,
> no ETA, but hopefully soon.

So you would have to do something like:

rebaseall -T `find /usr/lib/perl5/5.8.2 /usr/lib/perl5/site_perl/5.8.2 -iname '*.dll'`

?  That could get to be a pretty long command line; I have only a few
module distributions installed and 8k of dll filenames.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/